Subject: RE: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Drew Adams <[email-masked]>
Date: Thu, 18 Oct 2018 12:55:09 -0700 (PDT)

>   (defun menu-bar-scrollbar-mode (&optional mode)
>     "Cycle through scroll/truncate/resize modes for GTK menu bars.
> 
>   If the optional parameter MODE is specified then apply that instead.
>   The new mode is stored in the variable `menu-bar-scrollbar-mode' via
>   the custom interface (but not automatically saved).
> 
>   Returns the new MODE.
> 
>   NOTE: pass 'default if you want to set the mode explicitly to nil.
> 
>   See `menu-bar-scrollbar' in Info node `(elisp)Layout Parameters' for details."

FWIW - AFAIK, it is not Emacs convention to add a blank line between
the first and second lines of text in a doc string.

I believe the conventional approach is this:

"Cycle through scroll/truncate/resize modes for GTK menu bars.
If the optional parameter MODE is specified then apply that instead.
..."

not this:

"Cycle through scroll/truncate/resize modes for GTK menu bars.

If the optional parameter MODE is specified then apply that instead.
..."